%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

# Native Fedora package is ancient, 0.6.14, which doesn't even
# exist on the upstream servers any more.  I have gone for the
# latest version instead.

Name:           mingw32-libidn
Version:        1.14
Release:        8%{?dist}
Summary:        MinGW Windows Internationalized Domain Name support library

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gnu.org/software/libidn/
Source0:        http://ftp.gnu.org/gnu/libidn/libidn-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-iconv
BuildRequires:  pkgconfig, gettext

Requires:       pkgconfig


%description
GNU Libidn is an implementation of the Stringprep, Punycode and
IDNA specifications defined by the IETF Internationalized Domain
Names (IDN) working group, used for internationalized domain
names.


%package static
Summary:        Static version of the MinGW Windows IDN library
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries

%description static
Static version of the MinGW Windows IDN library.


%{_mingw32_debug_package}


%prep
%setup -q -n libidn-%{version}


%build
%{_mingw32_configure} --disable-csharp --enable-static --enable-shared
# The compilation fails when using -j2, so leave the %{?_smp_mflags} behind for now
make 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Remove documentation which duplicates native Fedora package.
rm -r $RPM_BUILD_ROOT%{_mingw32_datadir}/emacs
rm -r $RPM_BUILD_ROOT%{_mingw32_infodir}
rm -r $RPM_BUILD_ROOT%{_mingw32_mandir}/man*

# The .def file isn't interesting for other libraries/applications
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/libidn-11.def

%find_lang libidn


%clean
rm -rf $RPM_BUILD_ROOT


%files -f libidn.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_mingw32_bindir}/idn.exe
%{_mingw32_bindir}/libidn-11.dll
%{_mingw32_libdir}/libidn.dll.a
%{_mingw32_libdir}/libidn.la
%{_mingw32_libdir}/pkgconfig/libidn.pc
%{_mingw32_includedir}/*.h


%files static
%defattr(-,root,root,-)
%{_mingw32_libdir}/libidn.a


%changelog
* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-8
- Dropped the proxy-libintl pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-6
- Rebuild in order to have soft dependency on libintl

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-5
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Sun Aug 30 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-4
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-2
- Use %%global instead of %%define
- Fixed the Source URL
- Use %%find_lang for the gettext translations
- Dropped the commented out patch

* Sat May  9 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.14-1
- Update to version 1.14

* Fri Apr  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.9-5
- Added -static subpackage
- Fixed %%defattr line

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.9-4
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.6.14-3
- Include license file.

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 0.6.14-2
- Requires pkgconfig.

* Mon Nov 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6.14-1
- Initial RPM release.
